"use strict";
var pretur_fetch_1 = require('pretur.fetch');
function checkStatus(response) {
    if (response.status >= 200 && response.status < 300) {
        return response;
    }
    var error = new Error(response.statusText);
    error.response = response;
    throw error;
}
function convertToJson(response) {
    return response.text().then(function (t) { return t ? JSON.parse(t) : undefined; });
}
function fetch(_a) {
    var url = _a.url, method = _a.method, body = _a.body;
    return pretur_fetch_1["default"](url, {
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(body),
        method: method || 'GET',
        credentials: 'include'
    }).then(checkStatus).then(convertToJson);
}
exports.fetch = fetch;
