import * as Promise from 'bluebird';
import { I18nBundle } from 'pretur.i18n';
import { Query } from './query';
export declare namespace Fetcher {
    interface Result {
        queryId: number;
        data?: any[];
        error?: I18nBundle;
        count?: number;
    }
    type Request = Query[];
    type Response = Result[];
}
export interface Fetcher {
    add(query: Query): Promise<Fetcher.Result>;
    fetch(): Promise<void>;
}
export interface FetcherCreator {
    buildFetcher(): Fetcher;
    buildSingleShotFetcher(harness: (fetcher: Fetcher) => void): Promise<void>;
}
export declare function buildFetcherCreator(endPointUrl: string): FetcherCreator;
