import * as Promise from 'bluebird';
import * as Sequelize from 'sequelize';
import { Query, Synchronizer as Sync } from 'pretur.sync';
import { ResolveResult } from './resolver';
import { ModelDescriptor } from './descriptor';
export interface ModelDescriptorMap {
    [model: string]: ModelDescriptor;
}
export interface Pool {
    models: ModelDescriptorMap;
    resolve(query: Query): Promise<ResolveResult<any>>;
    sync(transaction: Sequelize.Transaction, item: Sync.Item, errors: Sync.Error[]): Promise<void>;
}
export declare function createPool(...descriptors: ModelDescriptor[]): Pool;
