export declare type Ordering = 'NONE' | 'ASC' | 'DESC';
export declare namespace Query {
    type OrderChain = string[];
    interface Order {
        field: string;
        ordering: Ordering;
        chain?: OrderChain;
    }
    type Attributes = string[];
    interface Filters {
        [attribute: string]: any;
    }
    interface Pagination {
        skip?: number;
        take?: number;
    }
    type Include = SubQuery[];
}
export interface SubQuery {
    model?: string;
    alias?: string;
    include?: Query.Include;
    filters?: Query.Filters;
    attributes?: Query.Attributes;
    order?: Query.Order;
}
export interface Query {
    queryId?: number;
    model?: string;
    byId?: number;
    count?: boolean;
    extra?: any;
    include?: Query.Include;
    filters?: Query.Filters;
    attributes?: Query.Attributes;
    pagination?: Query.Pagination;
    order?: Query.Order;
}
