import * as Sequelize from 'sequelize';
import { Pool } from './pool';
import { Model } from 'pretur.spec';
export interface UninitializedSequelizeModel<TInstance, TAttributes> {
    sequelizeModel: Sequelize.Model<TInstance, TAttributes>;
    initialize(pool: Pool): void;
}
export interface BuildSequelizeModelOptions<TInstance, TAttributes> {
    createDatabase?(sequelizeModel: Sequelize.Model<TInstance, TAttributes>): void;
    tableName?: string;
    attributeToFieldMap?: {
        [attribute: string]: string;
    };
}
export declare function buildSequelizeModel<TInstance, TAttributes>(spec: Model, sequelize: Sequelize.Connection, options?: BuildSequelizeModelOptions<TInstance, TAttributes>): UninitializedSequelizeModel<TInstance, TAttributes>;
